Bug 653025 - SELinux is preventing /usr/sbin/gpsd "read" access on devices.
Summary: SELinux is preventing /usr/sbin/gpsd "read" access on devices.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:0e1bd37739e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 06:15 UTC by Jeffrey S Austin
Modified: 2010-11-21 21:59 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.7-12.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-21 21:59:55 UTC


Attachments (Terms of Use)

Description Jeffrey S Austin 2010-11-14 06:15:19 UTC
Summary:

SELinux is preventing /usr/sbin/gpsd "read" access on devices.

Detailed Description:

SELinux denied access requested by gpsd. It is not expected that this access is
required by gpsd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:gpsd_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                devices [ dir ]
Source                        gpsd
Source Path                   /usr/sbin/gpsd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gpsd-2.95-2.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.7-7.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux localhost.localdomain
                              2.6.35.6-48.fc14.x86_64.debug #1 SMP Fri Oct 22
                              15:16:29 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 10 Nov 2010 03:04:15 PM EST
Last Seen                     Fri 12 Nov 2010 12:52:02 PM EST
Local ID                      ff03553d-1ed0-428a-a2c4-d069905177f9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1289584322.412:10): avc:  denied  { read } for  pid=1980 comm="gpsd" name="devices" dev=sysfs ino=3334 scontext=system_u:system_r:gpsd_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1289584322.412:10): arch=c000003e syscall=2 success=no exit=-13 a0=33de80a246 a1=90800 a2=33de809680 a3=50 items=0 ppid=1 pid=1980 auid=4294967295 uid=99 gid=18 euid=99 suid=99 fsuid=99 egid=18 sgid=18 fsgid=18 tty=(none) ses=4294967295 comm="gpsd" exe="/usr/sbin/gpsd" subj=system_u:system_r:gpsd_t:s0 key=(null)



Hash String generated from  catchall,gpsd,gpsd_t,sysfs_t,dir,read
audit2allow suggests:

#============= gpsd_t ==============
allow gpsd_t sysfs_t:dir read;

Comment 1 Miroslav Grepl 2010-11-15 11:16:16 UTC
Fixed in selinux-policy-3.9.7-13.fc14

Comment 2 Fedora Update System 2010-11-19 13:21:41 UTC
selinux-policy-3.9.7-12.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-12.fc14

Comment 3 Fedora Update System 2010-11-19 22:40:00 UTC
selinux-policy-3.9.7-12.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-12.fc14

Comment 4 Fedora Update System 2010-11-21 21:58:17 UTC
selinux-policy-3.9.7-12.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.